import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

/*
Copyright 2021 Q-CTRL. All rights reserved.

Licensed under the Q-CTRL Terms of service (the "License"). Unauthorized
copying or use of this file, via any medium, is strictly prohibited.
Proprietary and confidential. You may not use this file except in compliance
with the License. You may obtain a copy of the License at

     https://q-ctrl.com/terms

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS. See the
License for the specific language.
*/
// Easily convert number to em, rem or px.
var em = function em(px) {
  return "".concat(px / 16, "em");
};

var rem = function rem(px) {
  return "".concat(px / 16, "rem");
};

var px = function px(num) {
  return "".concat(num, "px");
};

var remKey = function remKey(px) {
  return _defineProperty({}, px, "".concat(px / 16, "rem"));
};

var pxKey = function pxKey(num) {
  return _defineProperty({}, num, "".concat(num, "px"));
};

var cleanRem = function cleanRem(rem) {
  return parseFloat(rem.replace("rem", ""));
};

var createRem = function createRem(rem) {
  return "".concat(rem, "rem");
};

module.exports = {
  em: em,
  rem: rem,
  px: px,
  remKey: remKey,
  pxKey: pxKey,
  cleanRem: cleanRem,
  createRem: createRem
};